// =====================================================================
//  $Id: DaqRunAction.cc,v 1.1 2006/02/15 07:04:51 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: DaqRunAction.cc,v $
//  Revision 1.1  2006/02/15 07:04:51  goiwai
//  ドキュメント用に最も簡単な例題ソフトウェアDAQプログラムを作りました。
//
// =====================================================================
#include "TRunManager.hh"
#include "TRun.hh"
#include "DaqRunAction.hh"

#include "TOutputObjectFile.hh"
#include "TCrate.hh"

DaqRunAction::DaqRunAction()
  : TRunAction(), ofile(0)
{;}

DaqRunAction::~DaqRunAction()
{;}

Tvoid DaqRunAction::Start( TRun& aRun )
{
  // ラン開始時、全モジュール初期化
  theCrate->Initialize();

  // ラン開始時、ファイルストリームを作成する
  ofile = new TOutputObjectFile("demo.drec");

  return;
}

Tvoid DaqRunAction::Stop( TRun& aRun )
{
  // ラン終了時、ファイルストリームを削除する
  delete ofile;

  return;
}

Tvoid DaqRunAction::Suspend( TRun& aRun )
{
  // /run/suspendコマンドに対応する動作
  Tcout << "Run #" << aRun.GetRunID() << " suspend." << Tendl;
  return;
}

Tvoid DaqRunAction::Resume( TRun& aRun )
{
  // /run/resumeコマンドに対応する動作
  Tcout << "Run #" << aRun.GetRunID() << " resume." << Tendl;
  return;
}
